## Sample Ranks

## Usage

    rank(x)

## Description

`rank` returns the sample ranks of the values in `x`. Ties result in ranks being averaged. `NA` values are not allowed in this function.

## See Also

`order` and `sort`.

## Examples

    (r1 <- rank(x1 <- c(3,1,4,59,26)))
    all(rank(r1) == r1) ## rank() is "idempotent": rank(rank(x)) == rank(x)
    (r2 <- rank(x2 <- c(3,1,4,5,9,2,6,5,3,5)))
    all(rank(r2) == r2)

[Package Contents]